| Home | Libraries | People | FAQ | More

## Class template value_initialized

boost::value_initialized

## Synopsis

    // In header: <boost/utility/value_init.hpp>

    template<typename T>
    class value_initialized {
    public:
      // construct/copy/destruct
      value_initialized();

      // public member functions
      T const & data() const;
      T & data();
      void swap(value_initialized &);
      operator T const &() const;
      operator T&();
    };

## Description

### `value_initialized` public construct/copy/destruct

1.     value_initialized();

### `value_initialized` public member functions

1.     T const & data() const;

2.     T & data();

3.     void swap(value_initialized & arg);

4.     operator T const &() const;

5.     operator T&();